<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Adapter;

use \Magento\Framework\DataObject as DataObject;

/**
 * Interface MappAdapterInterface
 * @package FiloBlu\MappConnector\Adapter
 */
interface MappAdapterInterface
{
    /**
     * Init Adapter
     *
     * @return mixed
     */
    function _init();

    /**
     * Set Config of Adapter
     *
     * @param $config
     * @return mixed
     */
    function setConfig($config);

    /**
     * Get Config of Adapter
     *
     * @return mixed
     */
    function getConfig();

    /**
     * Makes the request
     *
     * @param DataObject $data
     * @return mixed
     */
    function makeRequest(DataObject $data);


}