<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Model\From\Entity;

/**
 * Interface
 * @package FiloBlu\MappConnector\Model\Entity
 */
interface EntityInterface {

    /**
     * Returns Magento Entity Model
     *
     * @return string
     */
    public function getEntityModel();

    /**
     * Returns Magento Entity Model Primary Key
     *
     * @return string
     */
    public function getEntityModelPrimary();

    /**
     * Returns Mapp Resource Model
     *
     * @return string
     */
    public function getEntityMappResource();

    /**
     * Returns Resource Model Primary Key
     *
     * @return array
     */
    public function getEntityMappPrimary();

    /**
     * Gets user type
     *
     * @return mixed
     */
    public function getUserType();

    /**
     * Gets object default data
     *
     * @param $record
     * @return mixed
     */
    public function getDefaultData($record);

    /**
     * Gets object data
     *
     * @return mixed
     */
    public function getObjectData($primary,$id);

}